Package org.eclipse.net4j.signal.security

## Class AuthenticationIndication

- java.lang.Object
- - org.eclipse.net4j.signal.Signal
  - - org.eclipse.net4j.signal.SignalReactor
    - - org.eclipse.net4j.signal.IndicationWithResponse
      - - org.eclipse.net4j.signal.IndicationWithMonitoring
        - - org.eclipse.net4j.signal.security.AuthenticationIndication

- All Implemented Interfaces:
    `java.lang.Runnable`

      public class AuthenticationIndication
      extends IndicationWithMonitoring

  Since:
    4.3
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.signal.Signal

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthenticationIndication​(AuthenticatingSignalProtocol<?> protocol, short signalID)` |
    `AuthenticationIndication​(AuthenticatingSignalProtocol<?> protocol, short id, java.lang.String name)` |
    `AuthenticationIndication​(AuthenticatingSignalProtocol<?> protocol, java.lang.Enum<?> literal)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge` | `getChallenge()` |
    `protected org.eclipse.net4j.util.security.IPasswordCredentialsProvider` | `getCredentialsProvider()` |
    `protected int` | `getIndicatingWorkPercent()` |
    `AuthenticatingSignalProtocol<?>` | `getProtocol()` |
    `protected void` | `indicating​(org.eclipse.net4j.util.io.ExtendedDataInputStream in, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` |
    `protected void` | `responding​(org.eclipse.net4j.util.io.ExtendedDataOutputStream out, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` |

    - ### Methods inherited from class org.eclipse.net4j.signal.IndicationWithMonitoring

      `getMonitoringExecutorService, getRespondingWorkPercent, indicating, responding`

    - ### Methods inherited from class org.eclipse.net4j.signal.IndicationWithResponse

      `closeChannelAfterException, execute, getExceptionMessage`

    - ### Methods inherited from class org.eclipse.net4j.signal.SignalReactor

      `createMonitor`

    - ### Methods inherited from class org.eclipse.net4j.signal.Signal

      `closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, run, toString, toString, wrapInputStream, wrapOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationIndication

          public AuthenticationIndication​(AuthenticatingSignalProtocol<?> protocol,
                                          short id,
                                          java.lang.String name)

    - #### AuthenticationIndication

          public AuthenticationIndication​(AuthenticatingSignalProtocol<?> protocol,
                                          short signalID)

    - #### AuthenticationIndication

          public AuthenticationIndication​(AuthenticatingSignalProtocol<?> protocol,
                                          java.lang.Enum<?> literal)

  - ### Method Detail

    - #### getProtocol

          public AuthenticatingSignalProtocol<?> getProtocol()

      Overrides:
        `getProtocol` in class `Signal`

    - #### getIndicatingWorkPercent

          protected int getIndicatingWorkPercent()

      Overrides:
        `getIndicatingWorkPercent` in class `IndicationWithMonitoring`

    - #### indicating

          protected void indicating​(org.eclipse.net4j.util.io.ExtendedDataInputStream in,
                                    org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
                             throws java.lang.Exception

      Specified by:
        `indicating` in class `IndicationWithMonitoring`
      Throws:
        `java.lang.Exception`

    - #### getChallenge

          protected final org.eclipse.net4j.util.security.DiffieHellman.Server.Challenge getChallenge()

    - #### responding

          protected void responding​(org.eclipse.net4j.util.io.ExtendedDataOutputStream out,
                                    org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
                             throws java.lang.Exception

      Specified by:
        `responding` in class `IndicationWithMonitoring`
      Throws:
        `java.lang.Exception`

    - #### getCredentialsProvider

          protected org.eclipse.net4j.util.security.IPasswordCredentialsProvider getCredentialsProvider()